@import "../../../../../assets/css/constants.scss";
.item-summary {
    display: flex;
    flex-direction: column;
    h6 {
        margin-bottom: 20px;
        font-weight: bold;
    }
    .promotion {
        color: $SANED_BTN_PRIMARY;
        margin-bottom: 20px;
    }
    .item-details {
        width: 100%;
        display: flex;
        flex-direction: column;
        
        .item-header {
            width: 100%;
            display: flex;
            border-bottom: 1px solid $SANED_SECONDARY_COLOR;
            border-top: 1px solid $SANED_SECONDARY_COLOR;
            padding: 10px 0;
            color: rgb(116, 120, 129);
            font-weight: bold;
            .total {
                text-align: right;
            }
            td {
                font-size: 0.9em;
                font-weight: 400;
            }
        }
        .item-list {
            width: 100%;
            display: flex;
            align-items: center;
            border-bottom: 1px solid $SANED_SECONDARY_COLOR;
            padding: 10px 0;
            position: relative;
            td {
                align-items: center;
            }
        }
        .desc {
            display: flex;
            width: 50%;
            font-weight: 600;
            img {
                max-width: 75px;
                max-height: 75px;
            }
        }
        .item-name {
            padding: 0 20px;
            a{
                color:$PRIMARY_BLACK;
            }
        }      
        .price {
            width: 15%;
            font-weight: 600;
        }
        .qtn {
            width: 25%;
            text-align: center;
            div {
                display: flex;
                width: 100%;
                height: 46px;
                justify-content: center;
                button {
                    padding: 0;
                    min-width: 40px;
                    border: 1px solid $SANED_SECONDARY_COLOR;
                    border-radius: 0;
                    box-shadow: none;
                }
                    input {
                        padding: 10px;
                        text-align: center;
                        min-width: 48px;
                        border-top: 1px solid $SANED_SECONDARY_COLOR;
                        max-width: 78px;
                        border-left: none;
                        border-right: none;
                        box-shadow: none;
                        border-bottom: 1px solid $SANED_SECONDARY_COLOR;
                        background: transparent;
                        color: $SANED_BTN_PRIMARY;
                }
            }
        }
        .total {
            width: 14%;
            text-align: right;
            color: $SANED_BTN_PRIMARY;
            font-weight: bold;
            font-size: 0.9em;
        }
        .remove {
            position: absolute;
            right: 0;
            bottom: 0;
            font-weight: bold;
            font-size: 12px;
            color: lightgray;
            cursor: pointer;
        }
    }
}
.summary-container-mobile {
    display: none;
}
@media only screen and (max-width: 768px) {
    .summary-container-mobile {
        h6 {
            margin: 20px 0;
            font-weight: bold;
        }
        .promotion {
            color: $SANED_BTN_PRIMARY;
            margin: 20px 0;
        }
        display: block;
        h5 {
            padding: 30px 0;
            border-bottom: 1px solid $SANED_SECONDARY_COLOR;
            border-top: 1px solid $SANED_SECONDARY_COLOR;
        }
        .item-details {
            display: flex;
            padding: 20px 0;
            border-bottom: 1px solid $SANED_SECONDARY_COLOR;
            .item-image {
                padding-right: 20px;
            }
            img {
                max-width: 50px;
                max-height: 50px;
            }
            .item-desc {
                width: 70%;
                display: flex;
    flex-direction: column;
    .name {
        font-weight: bold;
    }
    .id {
        color: #747881;
    }
    .item-total {
        display: flex;
        .key {
            display: flex;
            font-weight: bold;
            width: 30%;
        }
        .value {
            color: #747881;
            div {
                display: flex;
                width: 100%;
                height: 46px;
                justify-content: center;
                button {
                    padding: 0;
                    min-width: 40px;
                    border: 1px solid $SANED_SECONDARY_COLOR;
                    border-radius: 0;
                    box-shadow: none;
                }
                    input {
                        padding: 10px;
                        text-align: center;
                        min-width: 48px;
                        border-top: 1px solid $SANED_SECONDARY_COLOR;
                        max-width: 78px;
                        border-left: none;
                        border-right: none;
                        box-shadow: none;
                        border-bottom: 1px solid $SANED_SECONDARY_COLOR;
                }
            }
        }
    }
            }
        }
    }
    .remove {
        padding: 20px 0;
        font-weight: bold;
        cursor: pointer;
    }
    .item-summary {
        display: none;
    }
}